type IWithCity = {
    city: string;
};
export type IStationCityExtractorInput = {
    scheduled: IWithCity;
    latest?: IWithCity;
};
export function getStationCity(station: IStationCityExtractorInput) {
    const airportInfo = station.latest || station.scheduled;

    return airportInfo.city;
}

type IWithCityCode = {
    cityCode: string;
};
export type IStationCityCodeExtractorInput = {
    scheduled: IWithCityCode;
    latest?: IWithCityCode;
};
export function getStationCityCode(station: IStationCityCodeExtractorInput) {
    const airportInfo = station.latest || station.scheduled;

    return airportInfo.cityCode;
}
